// Показывать или нет поля для настройки программы, связанные с маркировкой
$('body').off('change', 'form select[name="check_mark"]');
$('body').on('change', 'form select[name="check_mark"]', function(){
	if($(this).val()>0) {
		$('tr.mark_settings').show();
	}
	else {
		$('tr.mark_settings').hide();
	}
});

// Показывать или нет поля для настройки программы, связанные с ЕГАИС
$('body').off('change', 'form select[name="egais"]');
$('body').on('change', 'form select[name="egais"]', function(){
	if($(this).val()>0) {
		$('tr.egais_settings').show();
	}
	else {
		$('tr.egais_settings').hide();
	}
});

// Показывать или нет поля для настройки программы, связанные с режимом совместной работы
$('body').off('change', 'form select[name="multikassa"]');
$('body').on('change', 'form select[name="multikassa"]', function(){
	if($(this).val()>0) {
		$('tr.multikassa_settings').show();
	}
	else {
		$('tr.multikassa_settings').hide();
	}
});

// Показывать или нет поля для настройки ККМ
$('body').off('change', 'form select[name="active"]');
$('body').on('change', 'form select[name="active"]', function(){
	if($(this).val()==1) {
		$('tr.active').show();
	}
	else {
		$('tr.active').hide();
	}
});

$('body').off('change', 'form select[name="bt_active"]');
$('body').on('change', 'form select[name="bt_active"]', function(){
	if($(this).val()==1) {
		$('tr.bt_active').show();
	}
	else {
		$('tr.bt_active').hide();
	}
});

// Показывать или нет поля для настройки ФР
$('body').off('change', 'form select[name="type"]');
$('body').on('change', 'form select[name="type"]', function(){
	if($(this).val()==1) {
		$('tr.kkm_type').show();
	}
	else {
		$('tr.kkm_type').hide();
	}
});

// Снять или поставить пометку о прочтении в логах синхронизации
$('input[name="read_log"]').change(function(){
	var log_id=$(this).attr('for');
	send_form($('form[name="read_log_form_'+log_id));
});

// Пометить все логи как прочитанные
$('input[name="read_all_logs"]').click(function(){
	$('input[name="read_log"]').prop('checked', true);
	load_ajax('/settings/read_all_logs');
});

// Установка налогов
function set_vat(vat) {
	for(var i=0; i<6; i++) {
		$('input[name="vat['+i+']"]').val(vat[i]);
	}
}

// Настроить налоги как в Нева
$('body').off('click', 'input[name="neva_type"]');
$('body').on('click', 'input[name="neva_type"]', function(){
	var vat=[6,5,4,2,3,1];
	set_vat(vat);
});

// Настроить налоги как в АТОЛ
$('body').off('click', 'input[name="atol_type"]');
$('body').on('click', 'input[name="atol_type"]', function(){
	var vat=[4,1,5,2,6,3];
	set_vat(vat);
});

// Настроить налоги как в Штрих-М
$('body').off('click', 'input[name="shtrihm_type"]');
$('body').on('click', 'input[name="shtrihm_type"]', function(){
	var vat=[4,3,6,2,5,1];
	set_vat(vat);
});

// Настроить налоги как в Меркурий
$('body').off('click', 'input[name="mercury_type"]');
$('body').on('click', 'input[name="mercury_type"]', function(){
	var vat=[6,5,4,2,3,1];
	set_vat(vat);
});

// Настроить налоги как в MSPOS
$('body').off('click', 'input[name="mspos_type"]');
$('body').on('click', 'input[name="mspos_type"]', function(){
	var vat=[6,5,4,2,3,1];
	set_vat(vat);
});

// Отображение ссылки на настройку драйвера
var KKMurl=new Map();
if($('select[name="driver"]').length>0) {
	$('body').off('change, keyup', 'input[name="url"]');
	$('body').on('change, keyup', 'input[name="url"]', function(){
		KKMurl.set($('select[name="driver"]').val(), $('input[name="url"]').val());
	});
	KKMurl.set($('select[name="driver"]').val(), $('input[name="url"]').val());
}
$('body').off('change', 'select[name="driver"]');
$('body').on('change', 'select[name="driver"]', function(){
	var path=$(this).val();
	var device=$('input[name="device"]').val();
	if(path!='') {
		if(device!='') {
			device='&device='+device;
		}
		$('#driver_settings').attr('href', '/settings/drivers?path='+path+device);
		$('#driver_settings').removeClass('hide');

		var url=$('select[name="driver"] option:selected').attr('data-url');
		if(url!='') {
			if(!KKMurl.has(path)) {
				KKMurl.set(path, url);
			}
			$('input[name="url"]').val(KKMurl.get(path));
		}
	}
	else {
		$('#driver_settings').attr('href', '');
		$('#driver_settings').addClass('hide');
	}
});

// Отображение ссылки на настройку драйвера
$('body').off('change', 'select[name="bt_driver"]');
$('body').on('change', 'select[name="bt_driver"]', function(){
	var path=$(this).val();
	if(path!='') {
		$('#driver_settings').attr('href', '/settings/drivers?path='+path);
		$('#driver_settings').removeClass('hide');
	}
	else {
		$('#driver_settings').attr('href', '');
		$('#driver_settings').addClass('hide');
	}
});

function display_links() {
	if($('form select[name="orders_device"]').val()=='0') {
		$('tr.display_links').show();
	}
	else {
		$('tr.display_links').hide();
	}
}

$('body').off('change', 'form select[name="orders_device"]');
$('body').on('change', 'form select[name="orders_device"]', function(){
	display_links();
});

$('body').off('change', 'form select[name="cafe_mode"]');
$('body').on('change', 'form select[name="cafe_mode"]', function(){
	if($(this).val()>0) {
		$('tr.cafe_mode').show();
		display_links();
	}
	else {
		$('tr.cafe_mode').hide();
		$('tr.display_links').hide();
	}
});

function egais_orginfo() {
	var href=$('.egais_settings input[name="url_egais"]').val();
	if(href=='') {
		show_window('error', "Не казан путь к УТМ ЕГАИС");
		return;
	}
	show_window('loading', loading_txt);
	$.ajax({
        url: href+'/api/gost/orginfo',
        method: 'GET',
        dataType: "html",
        success: function(response) {
        	close_all_window();
        	var isJson=true;
        	var res;
        	try {
    			res=JSON.parse(response);
			} catch(e) {
    			isJson = false;
			}
       		if(isJson) {
       			if(res.o==null && res.givenname!=null && res.surname!=null) {
       				res.o='ИП '+res.surname+' '+res.givenname;
       			}
       			$('.egais_settings input[name="org_name"]').val(res.o);
       			//$('.egais_settings input[name="org_address"]').val(res.l+', '+res.street);
       			$('.egais_settings input[name="inn"]').val(res.inn);
       			$('.egais_settings input[name="kpp"]').val(res.kpp);
       		}
       		else {
       			show_window(null, response);
       		}
    	},
    	error: function(response) {
            $("#loading .popup_content").html(response.statusText);
            $("#loading .close").show();
    	},
    	timeout: 65000
 	});
}

$('body').off('click', '#egais_orginfo_button');
$('body').on('click', '#egais_orginfo_button', function() {
	egais_orginfo();
});

if($('#egais_orginfo_button').length>0
	&& $('.egais_settings input[name="url_egais"]').val()!=''
	&& $('.egais_settings input[name="org_name"]').val()==''
	&& $('.egais_settings input[name="org_address"]').val()==''
	&& $('.egais_settings input[name="inn"]').val()==''
	&& $('.egais_settings input[name="kpp"]').val()=='') {
	egais_orginfo();
}

$('body').off('click', '.add_epay');
$('body').on('click', '.add_epay', function() {
	var html=$('#epay_tmp table').html();
	$(this).closest('table').append(html);
});

$('body').off('change', 'select[name="driver[]"]');
$('body').on('change', 'select[name="driver[]"]', function(){
	var path=$(this).val();
	var tr=$(this).closest('tr');
	var id=$('input[name="id[]"]', tr).val();
	if(path!='') {
		$('.driver_settings', tr).attr('href', '/settings/epay_drivers?path='+path+'&id='+id);
		$('.driver_settings', tr).removeClass('hide');
	}
	else {
		$('.driver_settings', tr).attr('href', '');
		$('.driver_settings', tr).addClass('hide');
	}

	var input=$('input[name="title[]"]', tr);
	if(input.attr('data-changed')==0) {
		input.val($("option:selected", this).attr('title'));
	}
});

$('body').off('change', 'input[name="title[]"]');
$('body').on('change', 'input[name="title[]"]', function(){
	$(this).attr('data-changed', 1);
});

var driver_config_input;
$('body').off('click', '.driver_settings');
$('body').on('click', '.driver_settings', function(){
	var td=$(this).closest('td');
	driver_config_input=$('textarea[name="driver_config[]"]', td);
	show_window('driver_settings_window');
	$('#driver_settings_window .popup_content').load($(this).attr('href')+'&id='+$('input[name="id[]"]', td).val(), function(response, status, xhr) {
  		if(status=="error") {
    		$('#driver_settings_window .popup_content').html(xhr.status+" "+xhr.statusText);
    		$("#driver_settings_window .close").show();
  		}
  		else {
  			if(driver_config_input.val()=='' || driver_config_input.val()==undefined) return;
  			$('#driver_settings_window textarea[name="txt"]').html(driver_config_input.val());
  		}
	});
});

$('body').off('click', '#driver_settings_window #settings_epay_driver_save');
$('body').on('click', '#driver_settings_window #settings_epay_driver_save', function(){
	driver_config_input.html($('#driver_settings_window textarea[name="txt"]').val());
	$('#settings_epay_driver_form').attr('action', '/settings/epay_drivers');
	$('#settings_epay_driver_form').submit();
	close_window(this);
});

$('body').off('click', '#default_settings');
$('body').on('click', '#default_settings', function(){
	$('#driver_settings_window textarea[name="txt"]').html($('#driver_settings_window textarea[name="default"]').val())
});

$('body').off('click', '#driver_settings_window .epay_servicebutton');
$('body').on('click', '#driver_settings_window .epay_servicebutton', function(){
	$('#settings_epay_driver_form').attr('action', $(this).attr('href'));
	$('#settings_epay_driver_form').submit();
});

$('body').off('change', 'form[name="settings_epays_form"] .selected_epay');
$('body').on('change', 'form[name="settings_epays_form"] .selected_epay', function() {
	$('form[name="settings_epays_form"] input[name="selected[]"]').val(0);
	var check=$(this).prop('checked');
	if(check) {
		$('form[name="settings_epays_form"] .selected_epay').prop('checked', false);
		$('input[name="selected[]"]', $(this).closest('td')).val(1);
		$(this).prop('checked', true);
	}
});

function kiosk_type_change(select) {
	if($("option:selected", select).attr('data-searchset')==1) {
		$('.kiosk_type_search').show();
	}
	else {
		$('.kiosk_type_search').hide();
	}
}

$('body').off('change', 'form select[name="kiosk_type"]');
$('body').on('change', 'form select[name="kiosk_type"]', function(){
	kiosk_type_change(this);
});

if($('form select[name="kiosk_type"]').length>0) {
	kiosk_type_change($('form select[name="kiosk_type"]'));
}

$('body').off('change, keyup', 'form[name="form_db_config"] input[name="domen"]');
$('body').on('change, keyup', 'form[name="form_db_config"] input[name="domen"]', function(){
	$(this).val($(this).val().toLowerCase());
});

function control_api_settings() {
	$('.api_settings').hide();
	var url=$('input[name="domen"]').val();
	var pass=$('input[name="pass"]').val();
	if(!url || !pass) {
		return;
	}
	$.ajax({
        url: '/api/getstores?url='+url+'&token='+pass,
        method: 'GET',
        dataType: "html",
        success: function(response) {
        	var res=JSON.parse(response);
        	$('.settings_api_error').html('');
			if(res.success===true) {
				$('.api_settings').show();
				$('select[name="store_id"]').html(res.options);
				/*$('select[name="store_id"]').remove();
				$.each(res.stores, function( index, value ) {
					//console.log('id='+value.id);
					$('select[name="store_id"]')
				});*/
				return;
			}
			$('.settings_api_error').html(res.error);
    	},
    	timeout: 65000
 	});
}

if($('.api_settings').length>0) {
	control_api_settings();
}

$('body').off('change, keyup', '.apiset');
$('body').on('change, keyup', '.apiset', function(){
	control_api_settings();
});

$('#use_login_pass').click(function(){
	$('form[name="form_settings_start"]').show();
});